Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core.variants
Interface IResourceVariantComparator

All Known Implementing Classes:
  ThreeWayResourceComparator

public interface IResourceVariantComparator

An `IResourceVariantComparator` is provided by a `Subscriber` and used by a `SyncInfo` to calculate the sync state of the workspace resources. Subscribers should provide a criteria best suited for their environment. For example, an FTP subscriber could choose to use file size or file timestamps as comparison criterias whereas a CVS workspace subscriber would use file revision numbers.

Since:
  3.0
See Also:
  `SyncInfo`, `Subscriber`

Method Summary
`boolean` | `compare(IResource local, IResourceVariant remote)` Returns `true` if the local resource matches the remote resource based on this criteria and `false` otherwise.
`boolean` | `compare(IResourceVariant base, IResourceVariant remote)` Returns `true` if the base resource matches the remote resource based on this criteria and `false` otherwise.
`boolean` | `isThreeWay()` Answers `true` if the base tree is maintained by this comparator's subscriber.

Method Detail

### compare

    public boolean compare(IResource local,
                           IResourceVariant remote)

  Returns `true` if the local resource matches the remote resource based on this criteria and `false` otherwise. Comparing should be fast and based on cached information.

  Parameters:
    `remote` - the remote resources to be compared
  Returns:
    `true` if local and remote are equal based on this criteria and `false` otherwise.

### compare

    public boolean compare(IResourceVariant base,
                           IResourceVariant remote)

  Returns `true` if the base resource matches the remote resource based on this criteria and `false` otherwise. Comparing should be fast and based on cached information.

  Parameters:
    `base` - the base resource to be compared
    `remote` - the remote resources to be compared
  Returns:
    `true` if base and remote are equal based on this criteria and `false` otherwise.

### isThreeWay

    public boolean isThreeWay()

  Answers `true` if the base tree is maintained by this comparator's subscriber. If the base tree is not considered than the subscriber can be considered as not supported three-way comparisons. Instead comparisons are made between the local and remote only without consideration for the base.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.